#include <pw/core/axisangle.hpp>
#include <pw/core/quaternion.hpp>
#include <pw/core/serialize.hpp>

#include <iostream>

int main(int argc,char **argv) {

    pw::axisangle<float> aa = pw::axisangle<float>();

    pw::quaternionf qf = pw::quaternionf::from_axisangle(aa);

    std::cout << "aa as quaternion as vector = " << pw::serialize::matrix(qf.as_vector()) << std::endl;

//    std::cout << "aa.matrix() = " << pw::serialize::matrix(qf.to_matrix()) << std::endl;


    return 0;
}
